Page MenuHomePhabricator

Remove requirement for -maltivec to be used when using -mabi=vec-extabi or -mabi=vec-default when not using vector code
ClosedPublic

Authored by ZarkoCA on Jan 19 2021, 10:47 AM.

Details

Summary

The previous implementation required that -maltivec be specified when using either -mabi=vec-extabi or -mabi=vec-default, this patch removes that requirement.

Diff Detail

Event Timeline

ZarkoCA requested review of this revision.Jan 19 2021, 10:47 AM
ZarkoCA created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptJan 19 2021, 10:47 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
cebowleratibm accepted this revision.Jan 19 2021, 2:49 PM

Minor suggestion to keep and remap some of the diagnostic cases.

clang/test/CodeGen/altivec.c
13

You should keep the -mabi=vec-default diagnostic lines and remap them to the expected error. Applies to a few below.

16

d

This revision is now accepted and ready to land.Jan 19 2021, 2:49 PM
cebowleratibm added inline comments.Jan 19 2021, 3:17 PM
clang/test/CodeGen/altivec.c
1

I think it would be a good idea to explicitly specify the cpu while you're in here.

ZarkoCA updated this revision to Diff 317936.Jan 20 2021, 10:46 AM

Readd test for mabi=vec-default.
Add -mcpu=pwr8 to AIX specific test case invocations.

ZarkoCA marked 3 inline comments as done.Jan 20 2021, 10:48 AM
ZarkoCA added inline comments.
clang/test/CodeGen/altivec.c
13

Thanks, we should have those test cases.

clang/lib/Driver/ToolChains/Clang.cpp
4685–4686

Only generate the message when the option is active.

clang/lib/Driver/ToolChains/Clang.cpp
4687

Just to confirm, because the patch description confuses me a bit on this: The intent is to not complain on -mabi=vec-default or -mabi=vec-extabi at all on AIX, right? That is, -mabi=vec-extabi is one way to prepare non-vector code for eventual compatibility purposes. @ZarkoCA, I suggest updating the patch description (and eventual commit message).

ZarkoCA updated this revision to Diff 318971.Jan 25 2021, 5:23 AM
ZarkoCA marked an inline comment as done.
ZarkoCA edited the summary of this revision. (Show Details)
  • Emit error message only when option is active
  • Changed description of patch
This revision was automatically updated to reflect the committed changes.
ZarkoCA marked an inline comment as done.